<?php
class SlideshowPage extends Page
{
	
	 static $icon = "slideshow/images/treeicons/slideshow";

	
	 static $db = array(
	 		'ShWidth'  => 'Int',
	 		'ShSpeed'  => 'Int',
			'ShFadeSpeed'  => 'Int',
			'ShPosition' => "Varchar(100)",
			'ShVerticlePositionBottom' => 'Boolean'

   );
	
	static $defaults = array (
		'ShWidth' => '100',
		'ShSpeed' => '2000',
		'ShFadeSpeed' => '1000',
	);
	
	static $has_many = array (
		'Slideshows' => 'Slideshow'
	);
	
	public function getCMSFields()
	{
		$f = parent::getCMSFields();
		
	    $f->addFieldToTab("Root.Content.SlideshowConfiguration", new NumericField('ShWidth','Slideshow Width (pixels)'));
	    $f->addFieldToTab("Root.Content.SlideshowConfiguration", new NumericField('ShSpeed','Slide Duration (sec) i.e. "2000 = 2 sec"'));
	    $f->addFieldToTab("Root.Content.SlideshowConfiguration", new NumericField('ShFadeSpeed','Transition / Fade Duration i.e. "1 = Blink of an Eye 1000 = Steady"'));
		
		 $array = array(
      "margin-right: auto; margin-left: auto; clear: both;" => "Centre",
      "float: left;" => "Left with Content Wrapped",
      "float: right;" => "Right with Content Wrapped"
);
		   
  $f->addFieldToTab("Root.Content.SlideshowConfiguration", new DropdownField(
  'ShPosition',
  'Horizontal Image Position',
  $array
)); 
	  
    $f->addFieldToTab("Root.Content.SlideshowConfiguration", new CheckBoxField('ShVerticlePositionBottom','Position image under content (otherwise image will be above)'));

		
		$manager = new DataObjectManager(
			$this, // Controller
			'Slideshows', // Source name
			'Slideshow', // Source class
			array('ShTitle' => 'Title', 'ShLink' => 'Image Link', 'Thumbnail' => 'Image'), // Headings
			'getCMSFields_forPopup' // Detail fields function or FieldSet
			// Filter clause
			// Sort clause
			// Join clause
		);
		$manager->setPluralTitle('Slideshow Images');
		$manager->setAddTitle('Slideshow Image');
		
		$f->addFieldToTab("Root.Content.Slideshow", $manager);
		
		return $f;
	}

}
class SlideshowPage_Controller extends Page_Controller
{
	  function init() {
      if(Director::fileExists(project() . "/css/slideshow.css")) {
         Requirements::css(project() . "/css/slideshow.css");
      }else{
         Requirements::css("slideshow/css/slideshow.css");
      }
      parent::init();	
   }
}
?>